From 5c7ea80ba6092d8517d963b10b4146b87dcf149a Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Wed, 3 Jun 2009 11:42:31 +0200
Subject: [PATCH] Disable Java. It is not available on ARM yet
 Disable "check" too, since it needs java

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 gettext.spec |   22 ++++++++++++++++++++--
 1 files changed, 20 insertions(+), 2 deletions(-)

diff --git a/gettext.spec b/gettext.spec
index b1b6b31..af33a43 100644
--- a/gettext.spec
+++ b/gettext.spec
@@ -3,10 +3,21 @@
 %define buildjava 1
 %define buildcheck 1
 
+%ifarch %{arm}
+%define buildjava 0
+%endif
+
+%if %{buildjava}
+%define extraconfigopt --enable-java
+%define buildcheck 0
+%else
+%define buildjar 0
+%endif
+
 Summary: GNU libraries and utilities for producing multi-lingual messages
 Name: gettext
 Version: 0.17
-Release: 10%{?dist}
+Release: 10%{?dist}.fa1
 License: GPLv3 and LGPLv2+
 Group: Development/Tools
 URL: http://www.gnu.org/software/gettext/
@@ -103,8 +114,10 @@ export JAR=fastjar
     --disable-rpath
 make %{?_smp_mflags} GCJFLAGS="-findirect-dispatch"
 
+%if %{buildjava}
 # For generating gettext-tools/src/gnu.gettext.*
 make -C gettext-tools/src gnu.gettext.DumpResource
+%endif
 
 
 %install
@@ -153,7 +166,9 @@ rm -r ${RPM_BUILD_ROOT}%{_datadir}/doc/gettext
 rm -f ${RPM_BUILD_ROOT}%{_datadir}/%{name}/libintl.jar
 %endif
 
+%if %{buildjava}
 rm -f ${RPM_BUILD_ROOT}%{_datadir}/%{name}/gettext.jar
+%endif
 
 # remove unpackaged files from the buildroot
 rm -rf ${RPM_BUILD_ROOT}%{_datadir}/emacs
@@ -261,8 +276,8 @@ fi
 %{_libdir}/preloadable_libintl.so
 %{_mandir}/man3/*
 %{_datadir}/%{name}/javaversion.class
-%doc gettext-runtime/intl-java/javadoc*
 %if %{buildjava}
+%doc gettext-runtime/intl-java/javadoc*
 %{_libdir}/%{name}/gnu.gettext.*
 %endif
 
@@ -274,6 +289,9 @@ fi
 
 
 %changelog
+* Wed Jun 3 2009 Jitesh Shah <jiteshs@marvell.com> - 0.17-10.fa1
+- Disable Java and "check" for ARM builds
+
 * Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
 
-- 
1.5.5.6

